Subject: semantics

From: Henry Story <[email-masked]>
Date: Wed, 26 Oct 2005 20:06:24 +0200

Hi,

the AtomOWL group has released what I believe is a very good candidate
for an official semantics for the atom syntax. We have striven to keep
as close as possible to the syntax without trying to impose an RDF
interpretation onto XML. To see what I mean it is best to look at an  
example.
Here is the second example of the syntax document in N3:

----------------8<------------------------------------------------------
    @prefix :       <http://www.w3.org/2005/10/23/Atom#> .
    @prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
    @prefix iana:   <http://www.iana.org/assignments/relation/> .
    @prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .

    <> rdfs:comment "The simplest transformation from the atom-syntax  
to atom-owl of the second, longer example in atom11."@en .

[ a :Feed, :Version;

     :title [ :value "dive into mark";
              :type "text/plain" ];
     :subtitle [ :value "A &lt;em&gt;lot&lt;/em&gt; of effort went  
into making this effortless";
                 :type "text/html" ];
     :updated "2005-07-31T12:29:29Z"^^xsd:dateTime;
     :link  [ :href [ = <http://example.org/>;
                      :representation [ :type "text/html";
                                        :lang "en" ]
                    ];
              :rel iana:alternate
           ];
     :link [ :href [ = <http://example.org/feed.atom>;
                     :representation [ :type "application/atom+xml" ]
                   ];
             :rel iana:self
           ];
     :rights "Copyright (c) 2003, Mark Pilgrim";
     :generator [ :uri <http://www.example.com/>;
                  :version  "1.0";
                  :name "Example Toolkit" ];

     :entry [ a :Entry, :Version;
         :title [ :string "Atom draft-07 snapshot";
                  :type "text/plain" ];
         :link  [ :href [ = <http://example.org/2005/04/02/atom>;
                          :representation [ :type "text/html"]
                        ];
                  :rel iana:alternate
                ];
         :link  [ :href [ = <http://example.org/audio/ 
ph34r_my_podcast.mp3>;
                         :representation [ :type "audio/mpeg";
                                           :length "1337"^^xsd:integer ]
                        ];
                  :rel iana:enclosure
                ];
         :id <tag:example.org,2003:3.2397>;
         :updated "2005-07-31T12:29:29Z"^^xsd:dateTime;
         :published "2003-12-13T08:29:29-04:00"^^xsd:dateTime;
         :author [ a :Person;
                   :name "Mark Pilgrim";
                   :uri  <http://example.org/>;
                   :email <mailto:[email-masked]> ];
         :contributor [ :name "Sam Ruby" ];
         :contributor [ :name "Joe Gregorio" ];
         :content [ :value "<div xmlns='http://www.w3.org/1999/ 
xhtml'><p><i>[Update: The Atom draft is finished.]</i></p></div>";
                    :type "text/html" ];
         ]
] .
----------------8<------------------------------------------------------

For more information please look at the Ontology at:
http://bblfish.net/work/atom-owl/2005-10-23/

I would like to get this to be a basis for working towards an official
sanctioned ontology for Atom. Please help us move towards this goal
by joining us on the atom-owl mailing list

http://groups.google.com/group/atom-owl/

Henry Story

with help from Danny Ayers and Reto Bachmann-Gmür
and many others.
see http://blogs.sun.com/roller/page/bblfish/20051023